Subject: 24.2; mairix.el has bad autoload information for rmail

From: Mark Lillibridge <[email-masked]>
Date: Fri, 28 Dec 2012 10:55:58 -0800

If I start Emacs 24.2 with "emacs -q" then do a C-h f rmail, I get:

    rmail is an interactive autoloaded Lisp function in `rmail.el'.
    
    (rmail &optional FILE-NAME-ARG)
    
    Read and edit incoming mail.
    Moves messages into file named by `rmail-file-name' and edits that
    file in RMAIL Mode.
    Type C-h m once editing that file, for a list of RMAIL commands.
    
    May be called with file name as argument; then performs rmail editing on
    that file, but does not copy any new mail into the file.
    Interactively, if you supply a prefix argument, then you
    have a chance to specify a file name with the minibuffer.
    
    If `rmail-display-summary' is non-nil, make a summary for this RMAIL file.

Moreover, I can do M-x rmail and it works fine.

However, if I do a M-: (require 'mairix) first, then I get from help:

    rmail is an autoloaded Lisp function in `rmail.el'.
    
    [Arg list not available until function definition is loaded.]
    
    Not documented.
    
    [back]

and M-x rmail no longer works (tries to complete to rmail- when I hit enter).

I'm pretty sure this is caused by bad autoload information in mairix.el:228:

    (autoload 'rmail "rmail")
    (autoload 'rmail-summary-displayed "rmail")
    (autoload 'rmail-summary "rmailsum")

At least the first of these is already done elsewhere and so shouldn't
be needed.  I don't know about the others.

- Mark